#
# spec file for package man (Version 2.3.19deb4.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf gettext groff libz
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         man
Version:      2.3.19deb4.0
Release:      651
Summary:      Program for displaying man pages
Copyright:    1990,91 John W. Eaton, 1994,95 Graeme W. Wilford.
Group:        Utilities/System
Provides:     man_db
Requires:     groff >= 1.17 less
Autoreqprov:  on
Source:       man-db-%{version}.tar.bz2
Patch0:       man-db-%{version}.dif
Patch1:       man-db-%{version}-error.dif
Patch2:       man-db-%{version}-groff.dif
Patch3:       man-db-%{version}-section.dif
Patch4:       man-db-%{version}-autoconf.dif
Patch6:       man-db-%{version}-security2.dif
Patch11:      man-db-%{version}-security4.dif

%description
Program for displaying man-pages on the screen or sending them
to a printer (using groff).

Authors:
--------
    G. Wilford <G.Wilford@ee.surrey.ac.uk>

SuSE series: a

%prep
%setup -n man-db-%{version}
%patch1 -p0 -b .error
%patch2 -p0 -b .groff
%patch3 -p0 -b .section
%patch4 -p0 -b .conf
%patch6 -p0 -b .secu2
%patch11 -p0 -b .secu4
%patch

%build
    rm -f configure
    echo $RPM_OPT_FLAGS
    make -f Makefile.Linux compile MANDIR=%{_mandir}

%install
set +o posix
touch /tmp/bstamp; sleep 3; sync
    rm -rf /var/cache/man
    make -f Makefile.Linux install MANDIR=%{_mandir}
    mkdir -p /usr/share/groff/tmac
    install -m 0644 groff/tmac.andb     /usr/share/groff/site-tmac/
    install -m 0644 groff/tmac.andocdb  /usr/share/groff/site-tmac/
    Check
touch /tmp/estamp; sleep 3; sync
#(
#  find / -xdev  \( -newer /tmp/bstamp -a \( -not -newer /tmp/estamp \) \) -a \( \
#	\( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \)  -o \
#	\( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)
#) > >(sort -u -t / | grep -vE '^(/tmp|/proc|/usr/src/packages)' > /tmp/man.list)
rm /tmp/estamp /tmp/bstamp

%pre
test -d var/catman/ && rm -rf var/catman/ || true
test -d usr/lib/man-db/   ||       \
  rm -f var/cache/man/index.db     \
        var/cache/man/*/index.db   \
        var/cache/man/*/*/index.db

%files
%config /etc/manpath.config
/usr/bin/apropos
/usr/bin/catman
%attr(4711,root,root) /usr/bin/man
%attr(4711,root,root) /usr/bin/mandb
/usr/bin/manpath
/usr/bin/whatis
/usr/bin/zsoelim
%dir %attr(0711,root,root) /usr/lib/man-db
%attr(0711,root,root) /usr/lib/man-db/man
%attr(0711,root,root) /usr/lib/man-db/mandb
/usr/sbin/accessdb
/usr/share/groff/site-tmac/tmac.andb
/usr/share/groff/site-tmac/tmac.andocdb
/usr/share/locale/*/LC_MESSAGES/man?db.mo
%dir %{_mandir}/de
%dir %{_mandir}/de/man1
%doc %{_mandir}/de/man1/apropos.1.gz
%doc %{_mandir}/de/man1/man.1.gz
%doc %{_mandir}/de/man1/manpath.1.gz
%doc %{_mandir}/de/man1/whatis.1.gz
%doc %{_mandir}/de/man1/zsoelim.1.gz
%dir %{_mandir}/de/man5
%doc %{_mandir}/de/man5/manpath.5.gz
%doc %{_mandir}/de/man5/manpath.config.5.gz
%dir %{_mandir}/de/man8
%doc %{_mandir}/de/man8/accessdb.8.gz
%doc %{_mandir}/de/man8/catman.8.gz
%doc %{_mandir}/de/man8/mandb.8.gz
%dir %{_mandir}/es
%dir %{_mandir}/es/man1
%doc %{_mandir}/es/man1/apropos.1.gz
%doc %{_mandir}/es/man1/man.1.gz
%doc %{_mandir}/es/man1/manpath.1.gz
%doc %{_mandir}/es/man1/whatis.1.gz
%doc %{_mandir}/es/man1/zsoelim.1.gz
%dir %{_mandir}/es/man5
%doc %{_mandir}/es/man5/manpath.5.gz
%doc %{_mandir}/es/man5/manpath.config.5.gz
%dir %{_mandir}/es/man8
%doc %{_mandir}/es/man8/accessdb.8.gz
%doc %{_mandir}/es/man8/catman.8.gz
%doc %{_mandir}/es/man8/mandb.8.gz
%dir %{_mandir}/it
%dir %{_mandir}/it/man1
%doc %{_mandir}/it/man1/apropos.1.gz
%doc %{_mandir}/it/man1/man.1.gz
%doc %{_mandir}/it/man1/manpath.1.gz
%doc %{_mandir}/it/man1/whatis.1.gz
%doc %{_mandir}/it/man1/zsoelim.1.gz
%dir %{_mandir}/it/man5
%doc %{_mandir}/it/man5/manpath.5.gz
%doc %{_mandir}/it/man5/manpath.config.5.gz
%dir %{_mandir}/it/man8
%doc %{_mandir}/it/man8/accessdb.8.gz
%doc %{_mandir}/it/man8/catman.8.gz
%doc %{_mandir}/it/man8/mandb.8.gz
%dir %{_mandir}/ja
%dir %{_mandir}/ja/man1
%doc %{_mandir}/ja/man1/apropos.1.gz
%doc %{_mandir}/ja/man1/man.1.gz
%doc %{_mandir}/ja/man1/manpath.1.gz
%doc %{_mandir}/ja/man1/whatis.1.gz
%doc %{_mandir}/ja/man1/zsoelim.1.gz
%dir %{_mandir}/ja/man5
%doc %{_mandir}/ja/man5/manpath.5.gz
%doc %{_mandir}/ja/man5/manpath.config.5.gz
%dir %{_mandir}/ja/man8
%doc %{_mandir}/ja/man8/accessdb.8.gz
%doc %{_mandir}/ja/man8/catman.8.gz
%doc %{_mandir}/ja/man8/mandb.8.gz
%doc %{_mandir}/man1/apropos.1.gz
%doc %{_mandir}/man1/man.1.gz
%doc %{_mandir}/man1/manpath.1.gz
%doc %{_mandir}/man1/whatis.1.gz
%doc %{_mandir}/man1/zsoelim.1.gz
%doc %{_mandir}/man5/manpath.5.gz
%doc %{_mandir}/man5/manpath.config.5.gz
%doc %{_mandir}/man8/accessdb.8.gz
%doc %{_mandir}/man8/catman.8.gz
%doc %{_mandir}/man8/mandb.8.gz
%defattr(-,man,daemon)
/var/cache/man/

%changelog -n man
* Tue Aug 26 2003 - werner@suse.de
- Security fix (bug #29372)
* Mon Jul 07 2003 - werner@suse.de
- Security fix (bug #27474)
* Tue Sep 25 2001 - werner@suse.de
- Close nonsens bug report #9419
* Tue Sep 18 2001 - werner@suse.de
- Avoid possible crash in mandb
* Fri Aug 31 2001 - werner@suse.de
- I vote to remove strtok() from ANSI-C: Use strsep() within
  pathappend() because thew calling function add_nls_manpath()
  uses strtok().
* Wed Aug 29 2001 - werner@suse.de
- More work on the whatis data base storage
* Tue Aug 28 2001 - werner@suse.de
- Whatis: Avoid error messages caused by buggy manual pages
  to see the wrong man pages one may use -v for verbose
* Thu Aug 16 2001 - werner@suse.de
- Global UTF-8 handling instead of two different ways
* Wed Aug 15 2001 - werner@suse.de
- Better UTF-8 man page handling: use curent locale even if we
  overwrite man page locale.
- Sometime there is no man page path for local man page files,
  therefore force language if not found.
* Mon Aug 13 2001 - werner@suse.de
- Initialize variable used in lexgrog.l
* Mon Jul 30 2001 - werner@suse.de
- Update to vesion 2.3.19deb4.0
- Port libz patch to this version
- Map UTF-8 man pages to appropiate groff command
- Make it work
* Sun Jun 17 2001 - bk@suse.de
- new location of tmac files is /usr/share/groff/site-tmac,
  needed for groff 1.17 and does not work with older versions
* Thu Jun 07 2001 - werner@suse.de
- Fix autoconf trouble
* Wed May 16 2001 - werner@suse.de
- Make xcopy more handy (bug#8499)
* Tue May 15 2001 - werner@suse.de
- Fix segfault on option -S parser
* Sat Apr 21 2001 - schwab@suse.de
- Fix inapproriate mixing of pointer and integers.
* Mon Apr 09 2001 - werner@suse.de
- Make it work
* Fri Apr 06 2001 - werner@suse.de
- Use own tmac groff files to avoid page headers and footers
  on ttys only
* Tue Mar 20 2001 - werner@suse.de
- Avoid deleting of data bases if we've newer version around
* Mon Mar 19 2001 - werner@suse.de
- Remove data bases at install time
* Mon Mar 19 2001 - werner@suse.de
- Update to 2.3.17-3.2
  * Port our patches and bugfixes to this new version
  * Change the wrapper to use setre(r|g)id and use
  this wrapper suid root
* Thu Feb 08 2001 - werner@suse.de
- Avoid error() call without format
* Mon Dec 11 2000 - werner@suse.de
- Correct depth level of patch
* Mon Dec 11 2000 - werner@suse.de
- Make `setlocale'zing more reliable accordingly to Andreas
  Jaeger.
* Sat Dec 09 2000 - mfabian@suse.de
- replaced all setlocale(LC_MESSAGES,"") with
  setlocale(LC_MESSAGES,"") *and* setlocale(LC_CTYPE,"").
  After the upgrade to Glibc 2.2, 8 bit characters in the
  French, Czech, and Japanese messages were displayed as "?".
  Changing the setlocale calls in the above way fixed it.
  Messages in all languages now display correctly again.
  First I replaced all setlocale(LC_MESSAGES,"") by
  setlocale(LC_ALL,""), but this causes problems. In that case,
  the messages display correctly, but  "LANG=ja_JP man man"
  incorrectly displays the English manpage. Strange.
  When using both setlocale(LC_MESSAGES,"") *and*
  setlocale(LC_CTYPE,"") but not setlocale(LC_ALL,""),
  everything seems to work correctly.
* Tue Dec 05 2000 - bk@suse.de
- added %%dir /usr/share/man/{de,es,it,ja}+man[158] to file list
* Fri Sep 15 2000 - pthomas@suse.de
- Add 3C++, 3C++std and 8C++ to the list of man sections, the
  Compaq man pages for C++ use these.
* Thu May 25 2000 - werner@suse.de
- Fix the man path problem (hint from Michael Reichardt
  <mrabuse@adlatus.muc.de>)
- Make mandir depending on the RPM macro %%_mandir
- Make zsoemlin zlib interface functions more compatible to cookie
  I/O functions (type changed in new glibc 2.1 and higher)
* Thu Mar 16 2000 - werner@suse.de
- Make lexgrog knowing the japanese multibyte string of section NAME
- Make flex use memory aligned tables.
* Wed Mar 08 2000 - werner@suse.de
- Security fix in straycats: Check if we got a temporary file!
* Thu Mar 02 2000 - ro@suse.de
- added usr/share/man/allman
* Tue Dec 14 1999 - werner@suse.de
- New version 2.3.10-69s
  * better NLS support
- Add all languages to /etc/manpatch.config before english default
- Make mandb usable only for root (avoid DOS attacks)
* Fri Nov 26 1999 - ro@suse.de
- printout full path-name on check
* Fri Nov 26 1999 - ro@suse.de
- patched configure.in to prefer gdbm
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 06 1999 - ro@suse.de
- removed (now) conflicting redeclarations from zsoelim.l
* Thu Sep 02 1999 - werner@suse.de
- Make man.c work again
- Use RPM_OPT_FLAGS
* Mon Aug 30 1999 - werner@suse.de
- Few simple changes
  * drop privileges before chdir back into current directory
  * do not search for local man page if not given `-l'
* Mon Jul 19 1999 - bs@suse.de
- fixed file list (/var/cache/man)
* Thu Jul 15 1999 - werner@suse.de
- Don't use carriage return but newline in messages.
* Wed Jul 14 1999 - kukuk@suse.de
- Fix %%pre section (use rm -rf)
* Mon Jul 12 1999 - werner@suse.de
- Add allman sub tree to fsstnd tree
* Fri Jul 09 1999 - ro@suse.de
- fixed filelist
* Tue Jul 06 1999 - werner@suse.de
- Update to debian version 2.3.10-69i
  * Change from /var/catman/ to /var/cache/man/
  * Make /usr/share/man/ possible
  * Buildin NLS support
- Fix some debian bugs (sig handlers!)
- Add SuSE bug fixes (sig handler) and zlib feature
* Wed Jun 30 1999 - werner@suse.de
- First changes for SuSE 6.2
  * Use fopencookie in zsoelim if glibc 2.1 or higher to avoid any
  possible link attack in /tmp/
  * Kill all possible childs (e.g. gunzip) of zsoelim for glibc 2.0
  to be able to unlink the temporary files during signal handling.
  * Use better sig and exit handling
* Fri Jun 04 1999 - werner@suse.de
- Fix security leak in zsoelim
- Set sig and exit handler for removing temporary files
- ToDo: use libz instead of gzip
* Mon May 03 1999 - ro@suse.de
- removed forgotten debug message
* Thu Mar 11 1999 - werner@suse.de
- Use -Tlatin1 if eqn is geqn
- Remove the index.bt's in /var/catman before being installed
- Support stupid manual pages using .\" instead of '\" for
  preprocessor cockies
* Thu Mar 11 1999 - werner@suse.de
- Use db2 if available
* Wed Mar 10 1999 - werner@suse.de
- Work around of a buffer/pointer cludge of strncat and strncpy
  (glibc/axp)
- Make CAT_FILE work
- ToDo: libdb1 is broken on axp
* Wed Feb 10 1999 - werner@suse.de
- Fix the SIGHUP/SIGTERM bug
- Use seteuid for LINUX_VERSION_CODE >= ((1<<16)+(1<<8)+37)
- Remove temp files for man -l even if signaled
- Fix some more possible SIGSEGV's
* Tue Sep 29 1998 - ro@suse.de
- restarted from stable-man:
  use usr/include/db1 and libdb1  for db lib
  added HAVE_STRSEP to include/config.h.in (this file is broken)
  libdb/Makefile.in, src/Makefile.in : removed -I- from CFLAGS
* Fri Aug 07 1998 - bs@suse.de
- added catman dirs for es, fr & it to file list.
* Thu Aug 06 1998 - bs@suse.de
- added es, fr & it.
* Wed Jul 15 1998 - bs@suse.de
- fixed /usr/man/allman/de
* Thu Apr 23 1998 - werner@suse.de
- Fix preprocessor handling:
  was missed since libz was used instead of gzip -dc
* Thu Mar 19 1998 - werner@suse.de
- Use lib(g)z for mandb
  * no temporary nroff files for parsing of the manual pages
  * handle only the first 4096 bytes from the first .SH down
  * now zsoelim gets the gezipped man page without extension
  instead a temporary nroff file
  * extend lexgrog.l-2.4a to catch most pages as possible
  * add -funroll-loop to the compile options, use -O2
* Fri Jun 06 1997 - bs@suse.e
- added allman stuff
